#!/bin/bash

CONFIG="${RAD_HOME}/config.json"

# Create a profile
echo "$RAD_PASSPHRASE" | rad auth --stdin --alias "$HOSTNAME"

if [ "$RAD_SEEDING_POLICY" = 'allow' ]; then
  jq '.node.seedingPolicy.default = "allow"' "$CONFIG" | sponge "$CONFIG" 
fi

jq '.node.externalAddresses = ["'"${HOSTNAME}:8776"'"]' "$CONFIG" | sponge "$CONFIG" 
jq '.node.listen = ["0.0.0.0:8776"]' "$CONFIG" | sponge "$CONFIG" 

rad node start -- --listen "0.0.0.0:8776"

# Print information about this node
rad self

# Start HTTPd server
radicle-httpd
